﻿* Encoding: UTF-8.
* Fecha de elaboración: 13 de Febrero de 2018
* Fecha última modificación: 13 de Marzo de 2018
********************************************************************************
* Software estadístico: SPSS 23
********************************************************************************
* Elaborado por: DEAGA.

*==============================================================================*.
************************************Calculo de Tabulados APA 2016*****************************************************.
*==============================================================================*
*1.-Formas de abastecimiento y distribución de agua apta para el consumo humano a la población del cantón 2016.
*MA2211_RPZU 2.2.- Formas de distribución de agua a la población del cantón: 1. Red Pública: Zona Urbana.
*MA2211_RPZR 2.2.- Formas de distribución de agua a la población del cantón: 1. Red Pública: Zona Rural.
*MA2262_PPLPZU 2.2.- Formas de distribución de agua a la población del cantón: 2. Pila/Pileta/Llave pública: Zona Urbana.
*MA2262_PPLPZR 2.2.- Formas de distribución de agua a la población del cantón: 2. Pila/Pileta/Llave pública: Zona Rural.
*MA2263_CRTZU 2.2.- Formas de distribución de agua a la población del cantón: 3. Carro repartidor/Triciclo: Zona Urbana.
*MA2263_CRTZR 2.2.- Formas de distribución de agua a la población del cantón: 3. Carro repartidor/Triciclo: Zona Rural.
*MA2264_OTROZU 2.2.- Formas de distribución de agua a la población del cantón: 4. Otro ¿Otro?: Zona Urbana.
*MA2264_OTROZR 2.2.- Formas de distribución de agua a la población del cantón: 4. Otro ¿Otro?: Zona Rural.

* Calculo del tabulado.
DATASET ACTIVATE ConjuntoDatos1.
if (MA2211_RPZU = 1 or MA2211_RPZR = 1) RPUBLICA =1.
if (MA2262_PPLPZU = 1 or MA2262_PPLPZR = 1) PPLL =1.
if (MA2263_CRTZU = 1 or MA2263_CRTZR = 1) CR =1.
recode RPUBLICA PPLL CR ( sysmis = 2).
alter type RPUBLICA PPLL CR (f1.0).
variable labels RPUBLICA 'Red pública'.
variable labels PPLL 'Pila / Pileta / Llave Púlica'.
variable labels CR 'Carro repartidor'.
value labels RPUBLICA PPLL CR
1 'Si' 2 'No'.
variable width RPUBLICA PPLL CR (10).

MRSETS
  /MDGROUP NAME=$Abas_agua LABEL='Abastecimiento de agua' CATEGORYLABELS=VARLABELS 
    VARIABLES=RPUBLICA PPLL CR VALUE=1
  /DISPLAY NAME=[$Abas_agua].

CTABLES 
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE 
  /VLABELS VARIABLES=Nacional regiont Prov $Abas_agua DISPLAY=LABEL 
  /TABLE Nacional [COUNT F40.0, ROWPCT.VALIDN PCT40.2] + regiont [COUNT F40.0, ROWPCT.VALIDN 
    PCT40.2] + Prov [COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY $Abas_agua 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=$Abas_agua EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES 
    TITLE='Formas de abastecimiento y distribución de agua apta para el consumo humano a la '+ 
    'población del cantón: 2016' 
    CAPTION='Fuente: AME-INEC. 2016, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
* 2.- Municipios que cuentan con excedente de producción de agua apta para el consumo humano 2016.
*MA3131 3.13.1 ¿Tiene un excedente en la producción de agua para su(s) sistema(s)?.

*Calculo del tabulado.
compute MCEP = MA3131.
recode MCEP ( sysmis = 2).
alter type MCEP (f1.0).
value labels MCEP 1'Si' 2 'No'.
variable labels MCEP 'Tiene un excedente en la producción de agua para su(s) sistema(s)'.
variable width MCEP (15).

CTABLES 
  /FORMAT EMPTY= '-' MISSING='.' 
  /SMISSING VARIABLE 
  /VLABELS VARIABLES=Nacional regiont Prov MCEP DISPLAY=LABEL 
  /TABLE Nacional [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] + regiont [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] 
   + Prov [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY MCEP [C] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MCEP ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
  /TITLES 
    TITLE='Municipios que cuentan con excedente de producción de agua apta para el consumo humano: 2016' 
    CAPTION='Fuente: AME-INEC. 2016, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
*3.- Volumen de agua cruda que ingresa a la planta de tratamiento: 2016.
* MA364_TCIAC 3.6.4 Total caudal de ingreso de agua cruda (litros/segundo).
* MA365_TVACIP 3.6.5 Total Volumen de agua cruda que ingresa a la planta (m3/mes).

*Calculo del tabulado.
recode MA364_TCIAC MA365_TVACIP (0 = sysmis).

CTABLES 
  /FORMAT EMPTY= '-' MISSING='.' 
  /SMISSING VARIABLE 
  /VLABELS VARIABLES=Nacional regiont Prov MA364_TCIAC MA365_TVACIP DISPLAY=LABEL 
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA364_TCIAC [S][SUM] + MA365_TVACIP [S][SUM] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /TITLES 
    TITLE='Volumen de agua cruda que ingresa a la planta de tratamiento: 2016' 
    CAPTION='Fuente: AME-INEC. 2016, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
* 4.-Municipios que realizan monitoreo de calidad de agua apta para el consumo humano 2016.
* MA316 3.16 Monitorea el agua potable distribuida.

*Calculo del tabulado.

CTABLES 
  /FORMAT EMPTY= '-' MISSING='.' 
  /SMISSING VARIABLE 
  /VLABELS VARIABLES=Nacional regiont Prov MA316 DISPLAY=LABEL 
  /TABLE Nacional [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] + regiont [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] 
   + Prov [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY MA316 [C] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MA316 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
  /TITLES 
    TITLE='Municipios que realizan monitoreo de calidad de agua apta para el consumo humano:2016' 
    CAPTION='Fuente: AME-INEC. 2016, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
* 5.- Volumen de agua de consumo autorizado que no se factura (agua entregada a consumidores autorizados Ej. Bomberos, parques, etc.) 2016.
*MA510 5.10 Volumen de agua de consumo autorizado que no se factura 
*(agua entregada a consumidores autorizados Ej. Bomberos, parques, etc.) (m3/mes).

*Calculo del tabulado.
recode MA510 (0 = sysmis).

CTABLES 
  /FORMAT EMPTY= '-' MISSING='' 
  /SMISSING VARIABLE 
  /VLABELS VARIABLES=Nacional regiont Prov MA510 DISPLAY=LABEL 
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA510 [SUM, COLPCT.SUM PCT40.2,VALIDN] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES 
    TITLE='Volumen de agua de consumo autorizado que no se factura (agua entregada a consumidores autorizados Ej. Bomberos, parques, etc.) 2016' 
    CAPTION='Fuente: AME-INEC. 2016, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
* 6, 7, 8.- Gad municipal cuenta con Alcantarillado: sanitario, combinado , pluvial: 2016.
*MA4711 4.7.1.1 Con qué tipo de Alcantarillado cuenta: Alcantarillado Sanitario: Zona Urbana.
*MA4712 4.7.1.2 Con qué tipo de Alcantarillado cuenta: Alcantarillado Sanitario: Zona Rural.
*MA4721 4.7.2.1 Con qué tipo de Alcantarillado cuenta: Alcantarillado Combinado: Zona Urbana.
*MA4722 4.7.2.2 Con qué tipo de Alcantarillado cuenta: Alcantarillado Combinado: Zona Rural.
*MA473 4.7.3. Con qué tipo de Alcantarillado cuenta: Alcantarillado Pluvial: Zona Urbano.

* Calculo del tabulado.
if (MA4711 = 1 or MA4712 = 1) ASAN =1.
if (MA4721 = 1 or MA4722 = 1) ACOM =1.
if (MA473 = 1 ) APLU =1.
recode ASAN ACOM APLU ( sysmis = 2).
if (MA46 = 2 and ASAN = 2) ASAN = 3.
if (MA46 = 2 and ACOM = 2) ACOM = 3.
if (MA46 = 2 and APLU = 2) APLU = 3.
alter type ASAN ACOM APLU (f1.0).
value labels ASAN ACOM APLU
1 'Si' 2 'No' 3'No tiene alcantarillado'.
variable labels ASAN 'Tiene Alcantarillado sanitario'.
variable labels ACOM 'Tiene Alcantarillado combinado'.
variable labels APLU 'Tiene Alcantarillado pluvial'.
variable width ASAN ACOM APLU (15).

CTABLES
  /FORMAT EMPTY= '-' MISSING='.'
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional regiont Prov ASAN DISPLAY=LABEL
  /TABLE Nacional [COUNT F40.0, ROWPCT.COUNT PCT40.2] + regiont [COUNT F40.0, ROWPCT.COUNT PCT40.2] 
    + Prov [COUNT F40.0, ROWPCT.COUNT PCT40.2] BY ASAN
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=ASAN ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='Gads municipales con Alcantarillado sanitario 2016'
    CAPTION='Fuente: AME-INEC. 2016, Registro de Gestión de Agua Potable y Alcantarillado'.

CTABLES
  /FORMAT EMPTY= '-' MISSING='.'
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional regiont Prov ACOM DISPLAY=LABEL
  /TABLE Nacional [COUNT F40.0, ROWPCT.COUNT PCT40.2] + regiont [COUNT F40.0, ROWPCT.COUNT PCT40.2] 
    + Prov [COUNT F40.0, ROWPCT.COUNT PCT40.2] BY ACOM
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=ACOM ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='Gads municipales con Alcantarillado combinado 2016'
    CAPTION='Fuente: AME-INEC. 2016, Registro de Gestión de Agua Potable y Alcantarillado'.

CTABLES
  /FORMAT EMPTY= '-' MISSING='.'
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional regiont Prov APLU DISPLAY=LABEL
  /TABLE Nacional [COUNT F40.0, ROWPCT.COUNT PCT40.2] + regiont [COUNT F40.0, ROWPCT.COUNT PCT40.2] 
    + Prov [COUNT F40.0, ROWPCT.COUNT PCT40.2] BY APLU
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=APLU ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='Gads municipales con Alcantarillado pluvial 2016'
    CAPTION='Fuente: AME-INEC. 2016, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*











